import { Metadata } from 'next';
import { ArticleContent } from '@/lib/types/content';

export default function generatePageMetaData(
  article: ArticleContent
): Metadata {
  const seo = article.seo;

  return {
    title: seo.title || article.title,
    description: seo.description || article.summary,
    robots: seo.noIndex,
  };
}
